%global git_date  20241206
%global git_hash  2ade6a1e
%global git_ver  0.8.1

%global rel  1
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:		labwc
Version:	%{git_ver}^%{git_date}g%{git_hash}
Release:	%{rel}%{?dist}
Summary:	a wlroots-based window-stacking compositor
License:  	GPLv2
URL:      	https://github.com/labwc/labwc
Source:		%{url}/%{src_name}

BuildRequires:  make meson gcc-c++
BuildRequires:  pkgconfig(wlroots-0.18)
BuildRequires:  pkgconfig(wayland-protocols)
BuildRequires:  pkgconfig(xwayland)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(pangocairo)
BuildRequires:  pkgconfig(scdoc)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(libsfdo-basedir)


%description
Labwc is a wlroots-based window-stacking compositor for wayland, inspired by openbox.

%prep
%autosetup -n %{name}

%build
%meson
%meson_build

%install
%meson_install

%files
%doc README.md
%license LICENSE
%{_bindir}/labwc
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_docdir}/labwc/*
%{_datadir}/locale/*
%{_datadir}/wayland-sessions/*
%{_datadir}/icons/hicolor/scalable/apps/*
%{_datadir}/xdg-desktop-portal/*.conf

%changelog
%autochangelog
